Surface Object Management(3)

NAME
Surface Object Management - surface object management functions of the CUDA runtime API (cuda_runtime_api.h)

  Functions

cudaError_t cudaCreateSurfaceObject (cudaSurfaceObject_t *pSurfObject, const struct cudaResourceDesc *pResDesc)
Creates a surface object.
cudaError_t cudaDestroySurfaceObject (cudaSurfaceObject_t surfObject)
Destroys a surface object.
cudaError_t cudaGetSurfaceObjectResourceDesc (struct cudaResourceDesc *pResDesc, cudaSurfaceObject_t surfObject)
Returns a surface object's resource descriptor Returns the resource descriptor for the surface object specified by surfObject.

Detailed Description

This section describes the low level texture object management functions of the CUDA runtime application programming interface. The surface object API is only supported on devices of compute capability 3.0 or higher.

Function Documentation

  cudaError_t cudaCreateSurfaceObject (cudaSurfaceObject_t * pSurfObject, const struct cudaResourceDesc * pResDesc)

Creates a surface object and returns it in pSurfObject. pResDesc describes the data to perform surface load/stores on. cudaResourceDesc::resType must be cudaResourceTypeArray and cudaResourceDesc::res::array::array must be set to a valid CUDA array handle.

Surface objects are only supported on devices of compute capability 3.0 or higher. Additionally, a surface object is an opaque value, and, as such, should only be accessed through CUDA API calls.

Parameters:
    pSurfObject - Surface object to create
    pResDesc - Resource descriptor

Returns:
    cudaSuccess, cudaErrorInvalidValue

See also:
    cudaDestroySurfaceObject, cuSurfObjectCreate

  cudaError_t cudaDestroySurfaceObject (cudaSurfaceObject_t surfObject)

Destroys the surface object specified by surfObject.

Parameters:
    surfObject - Surface object to destroy

Returns:
    cudaSuccess, cudaErrorInvalidValue

See also:
    cudaCreateSurfaceObject, cuSurfObjectDestroy

  cudaError_t cudaGetSurfaceObjectResourceDesc (struct cudaResourceDesc * pResDesc, cudaSurfaceObject_t surfObject)

Parameters:
    pResDesc - Resource descriptor
    surfObject - Surface object

Returns:
    cudaSuccess, cudaErrorInvalidValue

See also:
    cudaCreateSurfaceObject, cuSurfObjectGetResourceDesc

Author

Generated automatically by Doxygen from the source code.